osmo-iuh (1.8.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * ranap_common_ran: remove unused ctx args
  * ranap_common_ran: rename ctx -> priv
  * iu_client: Initial N-PCSTATE.ind support
  * iu_client: Initial N-NOTICE.ind support (Routing Failure of SCCP CL messages)
  * ranap: Constify multiple ptr params
  * ranap: Introduce ranap_new_msg_error_ind()
  * ranap: Fix wrong PTMSI vs TMSI field passed during ranap_new_msg_paging_cmd()

  [ Oliver Smith ]
  * Generate version.h files
  * debian: fix installing osmocom/iuh/common.h

  [ Alexander Couzens ]
  * iu_client: use new struct osmo_rnc_id
  * iu_client: refactor LAC/RAC handling
  * iu_client: add ranap_iu_page_cs2/ranap_iu_page_ps2
  * iu_client: add a new event NEW_AREA
  * move talloc_asn1_ctx into iu_helpers
  * move general asn debug options into iu_helpers
  * move enum ranap_nsap_addr_enc into ranap_common.h
  * move vty functions into own vty.h
  * iu_client: fix linter issues

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 18:36:26 +0100

osmo-iuh (1.7.0) unstable; urgency=medium

  [ Oliver Smith ]
  * contrib/jenkins: libosmo-sccp -> libosmo-sigtran

  [ Neels Hofmeyr ]
  * fix memleak in ran_decode: free after aper_decode() on error

  [ Pau Espin Pedrol ]
  * ranap: Add API to encode Reset Resource into msgb
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * jenkins.sh: Skip building unneeded libosmo-abis
  * jenkins.sh: No need to build libosmo-sigtran with doxygen

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 11:45:22 +0100

osmo-iuh (1.6.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * build: include git-version-gen into the release tarball
  * README.md: cosmetic: fix a typo

  [ Harald Welte ]
  * Fix license headers: Should have been AGPLv3+, not GPLv2+
  * Add ranap_decode_rab_releaseditemies_fromlist()
  * ranap_common: fix pointer type in ranap_decode_rab_releaseitemies_fromlist()
  * constify {hnbap_rua}_cause_str() argument
  * hnbap_common: Make error message more verbose (which type failed)
  * ranap_common: Implement support for missing procedures

  [ Oliver Smith ]
  * contrib: remove rpm spec file

  [ Neels Hofmeyr ]
  * fix memleak: free after aper_decode() also on error
  * ranap_cn_rx_co(): do not ranap_cn_rx_co_free() on error

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 12:42:56 +0200

osmo-iuh (1.5.1) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * ranap_transp_layer_addr_decode2(): Fix decoding X.213 IPv4 address len=7

  [ Daniel Willmann ]
  * iu_client: Use local variable to track conn_id
  * iu_client: Handle empty CR and InitialUE Message in DATA.ind

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 15 Dec 2023 15:05:11 +0100

osmo-iuh (1.5.0) unstable; urgency=medium

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Oliver Smith ]
  * test-ranap: don't use libosmocore's tall_msgb_ctx
  * debian: set compat level to 10

  [ Neels Hofmeyr ]
  * fix PDU leaks in rua_generate_*() functions
  * asn1tostruct.py: fix leak in error paths of iesDefs
  * fix leak in ranap_new_transp_layer_addr()
  * add ranap_new_msg_reset2() with GlobalRNC-ID

  [ Pau Espin Pedrol ]
  * Move testdir src/tests/ -> tests/

  [ Vadim Yanitskiy ]
  * copyright: fix typo: sysmocom s/s.m.f.c./s.f.m.c./ GmbH

  [ Harald Welte ]
  * hnb-test.c: Update to libosmocore osmo_auth_gen_vec2

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 14:13:41 +0200

osmo-iuh (1.4.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * libosmo-rua: fix copy-pasted -version-info: {HNBAP->RUA}_LIBVERSION
  * libosmo-{hnbap,ranap,rua,sabp}: add -no-undefined to *_la_LDFLAGS

  [ Oliver Smith ]
  * move-asn1-header-files: error for wrong asn1c
  * asn1: fix visibility warnings from generated code
  * tests/hnb-test-rua: add missing include
  * tests/test-hnbap: add missing include
  * tests/test-ranap: fix missing (void **) cast
  * ranap_common_cn: remove unused ctx args
  * ranap_common_cn: rename ctx -> priv
  * tests/hnb-test-rua: fix incompat pointer type
  * test-hnbap: fix defined but not used error
  * hnbap_common: hnbap_cause_str: handle nothing val
  * asn1tostruct: fix defines getting redefined
  * contrib/jenkins.sh: use --enable-werror
  * asn1tostruct: don't use f-strings
  * contrib/jenkins.sh: werror with WITH_MANUALS too

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 16:39:24 +0100

osmo-iuh (1.3.0) unstable; urgency=medium

  [ Philipp Maier ]
  * test-hnbap: remove unused variable rc
  * test-hnbap: cosmetic: fix sourcecode formatting
  * ranap_common: add decoder for RAB SetupOrModifyItemFirst
  * cosmetic: don't use 4 speaces instead of tabs
  * iu_helpers: make new_transp_info_(rtp|gtp) public
  * iu_helpers: check length before accessing buf
  * add unittest for ranap_transp_layer_addr_decode()
  * iu_helpers: add function ranap_transp_layer_addr_decode2
  * test_common: use osmo_init_logging2 instead of osmo_init_logging
  * test-ranap: put message gen tests into function
  * ranap_common_cn: add functions for direct access to decoder
  * ranap_common_ran: add decoder for CN/MSC originated messages
  * ranap_msg_factory: add missing apidoc
  * ranap_common: add decoder for RAB-FailedList
  * ranap_common: add decoder for RAB-ReleaseList
  * ranap_common: log decoder errors to LOGL_ERROR

  [ Pau Espin Pedrol ]
  * Drop no longer needed systemd config in build system
  * jenkins.sh: osmo-iuh no longer has doc/manuals/ make target
  * iu_client: Prevent crash if msgb passed to ranap_iu_tx has no dst
  * iu_client: Fix incorrect access to null pointer
  * Make logging message about received RANAP message more meaningful

  [ Neels Hofmeyr ]
  * move new_transp_layer_addr to public API

  [ Harald Welte ]
  * update git URLs (git -> https; gitea)
  * README.md: remove obsolete notice from 7 years ago

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 28 Jun 2022 18:59:56 +0200

osmo-iuh (1.2.0) unstable; urgency=medium

  [ Oliver Smith ]
  * treewide: remove FSF address

  [ Pau Espin Pedrol ]
  * tests/tests_common.c: Add missing header
  * Introduce dynamic log category for libosmo-rua/hnbap
  * Drop osmo-hnbgw
  * tests/dummy_cn_sua.c: Drop no longer existing include

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 05 Jan 2022 12:26:51 +0100

osmo-iuh (1.1.0) unstable; urgency=medium

  * gitignore: Ignore libsmo-{hnbap,rua}.pc

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 17 Nov 2021 11:56:26 +0100

osmo-iuh (0.8.0) unstable; urgency=medium

  [ Harald Welte ]
  * hnbgw: Add missing break statement

  [ Pau Espin Pedrol ]
  * iu_client: Log event sent to upper layer callback
  * ranap_iu_tx_release_free(): always trigger RANAP_IU_EVENT_IU_RELEASE as a result
  * hnb-test: Fix typo in vty cmd description
  *  cosmetic: src/ranap/Makefile.am: Drop trailing whitespace
  * src/tests/Makefile.am: Drop reference to non-existent RANAP_FILES var
  * src/*/Makefile.am: Fix trailing whitespace
  * Provide libosmo-hnbap as a public shared library
  * Provide libosmo-rua as a public shared library
  * move-asn1-header-files.sh: Replace original asn file path in generated asn1 header files
  * README.md: Document how to re-generate code from ASN1 files
  * hnbgw_rua.c: Use proper type struct
  * hnbgw_cn.c: Use proper type struct
  * hnb-test: Fix rc var may be used uninitialized
  * src/*/Makefile.am: Copy back to srcdir the generated .c files from ASN
  * src/*/Makefile.am: Use asn1c -R to avoid generating runtime code
  * Update generated .c/.h after using asn1c -R param
  * hnbap: Use specific prefix for HNBAP generated code
  * hnbap: Drop no longer existing asn1c param -fnative-types
  * hnbap: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * rua: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * sabp: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * ranap: Use asn1c flag -fcompound-names to avoid name collisions with other libs
  * hnb-test: Fix memleak in hnb_read_cb

  [ Oliver Smith ]
  * contrib/osmo-iuh.spec.in: fix header packaging
  * contrib/osmo-iuh.spec: fix missing ldconfig lines
  * Cosmetic: put asn1c parameters in separate lines

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 17:13:09 +0100

osmo-iuh (0.7.0) unstable; urgency=medium

  [ Martin Hauke ]
  * tests: Missing return statement

  [ Pau Espin Pedrol ]
  * tests/hnb-test-ranap.c: Fix wrong printf format
  * tests/test-ranap.c: Fix wrong printf format
  * Fix compiler warning on signedness of char ptr using OCTET_STRING_fromBuf()
  * hnbgw_vty.c: Drop unusued variables
  * tests: Fix trailing whitespace
  * Fix OneDefinitionRule Asan violation in tests and osmo-hnbgw
  * Change default SCTP conn NULL->127.0.0.1 to localhost->localhost
  * hnbgw: Mark SCTP conn as NODELAY
  * contrib/jenkins: Enable parallel make in make distcheck
  * tests/hnb-test-ranap: Fix incorrect pointer type cast
  * tests/hnb-test: Drop unused variables
  * tests/hnb-test: Fix signedness of imsi_buf
  * tests/hnb-test: check return code of hnbap_encode_ueregisterrequesties
  * tests/hnb-test-ranap: Fix incorrect signedness in pointer
  * tests/hnb-test-ranap: Fix missing include for ranap_bcd_decode
  * tests/hnb-test: Fix uninitialized use of rc variable
  * tests/hnb-test: Fix signedness of assigned pointer
  * tests/hnb-test: Initialize logging with existing struct log_info
  * tests/hnb-test: Disable building unsued code
  * tests: Explicitly drop category from log
  * tests: Replace deprecated API log_set_print_filename
  * hnbgw: Avoid re-defining same global variable twice
  * Workaround ASan report memleak during call to --vty-ref-xml

  [ Neels Hofmeyr ]
  * manual: add "Configuring Primary Links" and "Multiple instances"
  * manual: link to new common cs7-config.adoc

  [ Vadim Yanitskiy ]
  * tests/test-helpers: fix some -Wpointer-sign warnings reported by GCC
  * tests/test-helpers: fix endianness: do not print uint32_t as raw bytes
  * tests/test-ranap: cosmetic: remove unused variable 'rc'
  * debian/control: change maintainer to the Osmocom team / mailing list
  * vty: use install_lib_element() and install_lib_element_ve()

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer

  [ Philipp Maier ]
  * hnbgw: do not use LOGL_DEBUG as default loglevel

  [ Harald Welte ]
  * Fix compilation with gcc-10
  * Provide more context when logging "Error in ANY_fromType_aper"
  * hnbgw: use OSMO_STRLCPY_ARRAY() instead of open coding it
  * hnbgw: Introduce LOGHNB() macro for log context information
  * debian: Actually build manuals; add osmo-hnbgw-doc package
  * configure.ac: Ensure netinet/sctp.h is present
  * hnbgw: Use LOGHNB() to add log context information to log lines
  * ranap_msg_factory: Allow detailed control over UEA/UIA algorithm encoded
  * ranap_msg_factory: Fix LOGP statements
  * main: add --vty-ref-mode, use vty_dump_xml_ref_mode()
  * manuals: generate vty reference xml at build time

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 20:11:59 +0100

osmo-iuh (0.6.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * hnbgw_vty.c: fix: properly pass pointer to g_hnb_gw
  * osmo-hnbgw: make sure osmo_ss7_init() executed successfully

  [ Alexander Couzens ]
  * iu_client: sccp_sap_up: set rc early
  * iu_client: ensure UE is not NULL on CO primitives
  * iu_client: sccp_sap_up: don't decode empty disconnect indications
  * iu_client: introduce ranap_iu_free_ue() to free the UE connections
  * iu_client: emit RANAP_IU_EVENT_LINK_INVALIDATED on SCCP disconnect indication
  * iu_client: introduce a guard around global_iu_event_cb
  * iu_client: allow to control the notifications
  * iu_client: introduce ranap_iu_tx_release_free()
  * iu_client: introduce UE field free_on_release
  * iu_client: pass return value of osmo_sccp_user_sap_down() towards the caller
  * iu_client: ranap_iu_tx_release() change default cause code to Success

  [ Pau Espin Pedrol ]
  * hnbgw: Add libosmoctrl's VTY CTRL command initialization
  * debian/rules: Fix dbg pacakges
  * debian: Split libosmo-sabp from libosmo-ranap package

  [ Harald Welte ]
  * asn1enum.pl: Make compatible with modern perl
  * sabp: Initial import of SABP ASN.1 from 3GPP TS 25.419 V11.1.0 (2013-03)
  * sabp: fixup SABP ASN.1 to avoid IOC (which are not supported by our toolchain)
  * sabp: Add Procedure Codes and IEI constants to CommonDataTypes
  * sabp: Generate C/H files for SABP; create libosmo-sabp
  * Initial minimal OsmoHNBGW user manual
  * exit(2) on unsupported positional arguments on command line

  [ Oliver Smith ]
  * gitignore: add gen_sabp.stamp
  * debian, asn1tostruct.py: switch to python3

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 17:04:15 +0100

osmo-iuh (0.5.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * ranap_msg_factory.h: fix enum def within function signature
  * osmo-hnbgw: fix cmdline: do not force-disable colored logging
  * osmo-hnbgw: set a proper talloc ctx for logging
  * osmo-hnbgw: logging tweaks
  * osmo-hnbgw: reply with RESET ACK when receiving a RESET

  [ Oliver Smith ]
  * tests: use -no-install libtool flag to avoid ./lt-* scripts
  * contrib/jenkins.sh: run "make maintainer-clean"
  * osmo-hnbgw.cfg: set local-ip to 0.0.0.0

  [ Harald Welte ]
  * iu_client: Implement transmission of ResetAcknowledge
  * ranap_msg_factory: Fix criticality of PDUs

  [ Thorsten Alteholz ]
  * spelling stuff found by lintian

  [ Daniel Willmann ]
  * Add VTY reference manual
  * jenkins: Enable manual publishing and building

  [ Pau Espin Pedrol ]
  * Remove undefined param passed to {logging,osmo_stats}_vty_add_cmds

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 07 Aug 2019 21:23:57 +0200

osmo-iuh (0.4.0) unstable; urgency=medium

  [ Bernhard M. Wiedemann ]
  * asn1tostruct: allow to override build date

  [ Alexander Couzens ]
  * hnbgw: remove close_cb() to fix a crash when releasing a hnbgw

  [ Harald Welte ]
  * debian/rules: Don't overwrite .tarball-version
  * hnbgw_tx_hnb_register_rej(): Missing return statement

  [ Neels Hofmeyr ]
  * fix decoding of incoming X.213 NSAP addr
  * hnbgw: vty: add SCCP related vty commands
  * fix transport layer addr again, for nano3g

  [ Pau Espin Pedrol ]
  * debian: package osmo-hnbgw.service
  * Install systemd services with autotools
  * Install sample cfg file to /etc/osmocom

  [ Stefan Sperling ]
  * add a VTY command which shows a specific HNB

  [ Oliver Smith ]
  * Fix DISTCHECK_CONFIGURE_FLAGS override
  * contrib: fix makedistcheck with disabled systemd

 -- Harald Welte <laforge@gnumonks.org>  Sun, 20 Jan 2019 21:46:05 +0100

osmo-iuh (0.3.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * jenkins: use osmo-clean-workspace.sh before and after build
  * vty: skip installing cmds now always installed by default
  * src/Makefile.am: drop unused COMMON_LDADD
  * add --enable-sanitize config option
  * osmo-hnbgw: drop erratic log line on remote STP address
  * api doc: clarify byte order in ranap_new_msg_rab_assign_*
  * tests: sanitize: fix mem leaks, clean after tests
  * ranap_msg_factory: sanitize: memcpy instead of unaligned int copy
  * test_common: fix compiler warning: include ranap_common.h
  * osmo-hnbgw: auto-config local and remote PCs if omitted
  * cosmetic: osmo-hnbgw: log remote SCCP addresses on startup
  * osmo-hnbgw: don't configure specific local IP address for STP connection
  * iu client: store multiple LAC,RAC per RNC = fix paging for multiple RNC
  * hnbgw: use proper VTY port number defined in libosmocore (4261)
  * fix 3 compiler warnings in ranap_common.c
  * hnbgw: use proper talloc ctx for vty telnet init
  * hnbgw: hnb info: record MCC, MNC, show on 'show hnb'
  * hnbap,rua,ranap decode: fix segfault on decode error
  * vty: tweak / improve HNB and cnlink introspection
  * osmo-hnbgw: vty: revamp output of context maps on 'show hnb'
  * compiler warning: asn1tostruct.py: return 0 at end of *_free_*()
  * segfault: context_map gc: use llist_for_each_entry_safe()
  * rua: discard context maps on id-Disconnect
  * rua_to_scu(): don't create a context map for UNITDATA
  * cosmetic: context_map_tmr_cb(): fix comment
  * osmo-hnbgw config: add 'rnc-id' config item
  * osmo-hnbgw: startup: log the RNC-Id that is going to be used
  * comments: hnbgw_rua.c: remove obsolete fixmes for asn1 free
  * vty typo: 'show hnb': SCTP stream, not SCCP stream
  * hnbgw_rua.c: log: fix integer format for cN_DomainIndicator
  * hnbgw_rua: fix dereference of unset pointer
  * hnbgw_cn: rx ranap: set rc in all cases
  * hnbgw_hnbap: fix missing return in rx [un]successful outcome
  * cosmetic: hnbgw: hnbap: log rx of unsuccessful outcome
  * hnbap: log errors on decoding/encoding HNB-REGISTER msgs
  * hnb-test: log accurate three-digit MNC with leading zeros
  * configure: add --enable-werror
  * cosmetic: use osmo_plmn_id instead of mcc,mnc

  [ Harald Welte ]
  * osmo-hnbgw: Avoid useless linking to libosmogsm and libsctp
  * Link libosmo-ranap against libosmovty
  * Add "-Wall" to the compile rules of the non-asn1c-generated source code
  * hnbgw.c: Remove dead code creating libsctp linker dependency
  * sccp_sap_up(): Fix never-hit "default" case in switch
  * Fix various compiler warnings in hnb-gw code
  * hnbgw_vty.c: cosmetic: Fix non-tab-indented code
  * hnbgw_vty.c: Fix "-Werror=format-security" failure in vty_out()

  [ Philipp Maier ]
  * iu: iu_helpers: add functions to decode ip/port from rab-ass
  * ranap_msg_factory: check IE encoder return codes
  * ranap_msg_factory: remove unusued variable

  [ Max ]
  * Use proper package version
  * Add control interface
  * Expand ctrl interface
  * Enable sanitize for CI tests

  [ Pau Espin Pedrol ]
  * iu_client.c: Remove unusued variable
  * configure.ac: Enable -Wall flag
  * contrib: jenkins.sh: Disable doxygen in libosmocore build
  * debian/changelog: set prev releases to unstable

  [ Stefan Sperling ]
  * ensure unique CellIDs in HNB-GW

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 03 May 2018 18:29:13 +0200

osmo-iuh (0.2.0) unstable; urgency=low

  * Upstream 0.2.0 release

 -- Harald Welte <laforge@gnumonks.org>  Fri, 27 Oct 2017 22:19:00 +0000

osmo-iuh (0.1.0) unstable; urgency=low

  * Initial release.

 -- Alexander Couzens <lynxis@fe80.eu>  Tue, 08 Aug 2017 04:13:19 +0000
